Module | Ramaze::Bin::Helper
In: | lib/ramaze/bin/helper.rb

Module containing various helper methods useful for most commands.

@author Yorick Peterse @author TJ Vanderpoel @since 21-07-2011

### Methods

is_running? is_windows? rackup_path

### Public Instance methods

is_running?(pid)

Checks if the specified PID points to a process that‘s already running.

@author TJ Vanderpoel @since 21-07-2011 @param [String] pid The path to the PID. @return [TrueClass|FalseClass]

is_windows?()

Checks if the system the user is using is Windows.

@author TJ Vanderpoel @since 21-07-2011 @return [TrueClass|FalseClass]

rackup_path()

Tries to extract the path to the Rackup executable.

@author TJ Vanderpoel @since 21-07-2001 @return [String]

[Validate]